Package org.drinkless.tdlib

# Class TdApi.InputPollOption

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.InputPollOption

Enclosing class:
  `TdApi`

public static class TdApi.InputPollOption extends TdApi.Object
Describes one answer option of a poll to be created.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `TdApi.InputMessageContent`
  `media`
  Option media; pass null if none; ignored in addPollOption.
  `TdApi.FormattedText`
  `text`
  Option text; 1-100 characters.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `InputPollOption()`
  Describes one answer option of a poll to be created.
  `InputPollOption(TdApi.FormattedText text, TdApi.InputMessageContent media)`
  Describes one answer option of a poll to be created.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### text

    public TdApi.FormattedText text
    Option text; 1-100 characters. Only custom emoji entities are allowed to be added and only by Premium users.

  - ### media

    public TdApi.InputMessageContent media
    Option media; pass null if none; ignored in addPollOption. Must be one of the following types: inputMessageAnimation, non-live inputMessageLocation, inputMessagePhoto, inputMessageSticker, inputMessageVenue, or inputMessageVideo without caption.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### InputPollOption

    public InputPollOption()
    Describes one answer option of a poll to be created.

  - ### InputPollOption

    public InputPollOption(TdApi.FormattedText text, TdApi.InputMessageContent media)
    Describes one answer option of a poll to be created.
    Parameters:
      `text` - Option text; 1-100 characters. Only custom emoji entities are allowed to be added and only by Premium users.
      `media` - Option media; pass null if none; ignored in addPollOption. Must be one of the following types: inputMessageAnimation, non-live inputMessageLocation, inputMessagePhoto, inputMessageSticker, inputMessageVenue, or inputMessageVideo without caption.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Object`
    Returns:
      this.CONSTRUCTOR